import { StyleSheet as RNStyleSheet } from 'react-native';
declare type ThemeValue = string;
export declare type ThemeType = Record<string, ThemeValue>;
export declare type StyleType = Record<string, any>;
export declare type Styles<T> = RNStyleSheet.NamedStyles<T>;
export declare class StyleSheet {
    static createThemedStyles: <T>(styles: RNStyleSheet.NamedStyles<T>, theme: Record<string, string>) => T;
    static createThemedStyle: (style: Record<string, any>, theme: Record<string, string>) => Record<string, any>;
    static createCompiledTheme: (theme: Record<string, string>) => Record<string, string>;
    static getThemeValue: (name: string, theme: Record<string, string>, fallback?: string) => string;
    static findThemeValue: (name: string, theme: Record<string, string>) => string;
    /**
     * @returns true if theme value references to another
     */
    static isReference: (value: string) => boolean;
    /**
     * Transforms reference key to theme key
     */
    static toThemeKey: (value: string) => string;
}
export {};
