import { StyleSheet, } from '../style/styleSheet.service';
import { useTheme } from '../theme/useTheme';
/**
 * Takes a theme provided by ApplicationProvider or ThemeProvider and applies it to style.
 *
 * @overview-example UseStyleSheetSimpleUsage
 */
export const useStyleSheet = (styles) => {
    return {
        create: () => {
            const theme = useTheme();
            return StyleSheet.createThemedStyles(styles, theme);
        },
    };
};
//# sourceMappingURL=useStyleSheet.js.map