export declare const $schema: string;
export declare const version: number;
export declare namespace components {
    export namespace Radio {
        export namespace meta {
            export const scope: string;
            export namespace parameters {
                export const width: {
                    "type": string;
                };
                export const height: {
                    "type": string;
                };
                export const borderRadius: {
                    "type": string;
                };
                export const borderWidth: {
                    "type": string;
                };
                export const borderColor: {
                    "type": string;
                };
                export const textColor: {
                    "type": string;
                };
                export const textMarginLeft: {
                    "type": string;
                };
                export const textFontSize: {
                    "type": string;
                };
                export const textFontWeight: {
                    "type": string;
                };
                export const selectWidth: {
                    "type": string;
                };
                export const selectHeight: {
                    "type": string;
                };
                export const selectBorderRadius: {
                    "type": string;
                };
                export const selectBackgroundColor: {
                    "type": string;
                };
                export const highlightWidth: {
                    "type": string;
                };
                export const highlightHeight: {
                    "type": string;
                };
                export const highlightBorderRadius: {
                    "type": string;
                };
                export const highlightBackgroundColor: {
                    "type": string;
                };
            }
            export const appearances: {
                "default": {
                    "default": boolean;
                };
            };
            export namespace variantGroups {
                export namespace status {
                    export const error: {
                        "default": boolean;
                    };
                }
                export namespace size {
                    export const small: {
                        "default": boolean;
                    };
                    export const medium: {
                        "default": boolean;
                    };
                    export const large: {
                        "default": boolean;
                    };
                }
            }
            export namespace states {
                export const checked: {
                    "default": boolean;
                    "priority": number;
                    "scope": string;
                };
                export const disabled: {
                    "default": boolean;
                    "priority": number;
                    "scope": string;
                };
                export const active: {
                    "default": boolean;
                    "priority": number;
                    "scope": string;
                };
            }
        }
        const appearances_1: {
            "default": {
                "mapping": {
                    "borderWidth": number;
                    "borderColor": string;
                    "textColor": string;
                    "textFontWeight": string;
                    "selectBackgroundColor": string;
                    "highlightBackgroundColor": string;
                    "state": {
                        "active": {
                            "borderColor": string;
                            "highlightBackgroundColor": string;
                        };
                        "checked": {
                            "borderColor": string;
                            "selectBackgroundColor": string;
                        };
                        "disabled": {
                            "borderColor": string;
                            "textColor": string;
                        };
                        "checked.active": {
                            "borderColor": string;
                        };
                        "checked.disabled": {
                            "selectBackgroundColor": string;
                        };
                    };
                };
                "variantGroups": {
                    "status": {
                        "error": {
                            "borderColor": string;
                            "state": {
                                "checked": {
                                    "borderColor": string;
                                    "selectBackgroundColor": string;
                                };
                                "checked.active": {
                                    "borderColor": string;
                                };
                            };
                        };
                    };
                    "size": {
                        "small": {
                            "width": number;
                            "height": number;
                            "borderRadius": number;
                            "textMarginLeft": number;
                            "textFontSize": number;
                            "selectWidth": number;
                            "selectHeight": number;
                            "selectBorderRadius": number;
                            "highlightWidth": number;
                            "highlightHeight": number;
                            "highlightBorderRadius": number;
                        };
                        "medium": {
                            "width": number;
                            "height": number;
                            "borderRadius": number;
                            "textMarginLeft": number;
                            "textFontSize": number;
                            "selectWidth": number;
                            "selectHeight": number;
                            "selectBorderRadius": number;
                            "highlightWidth": number;
                            "highlightHeight": number;
                            "highlightBorderRadius": number;
                        };
                        "large": {
                            "width": number;
                            "height": number;
                            "borderRadius": number;
                            "textMarginLeft": number;
                            "textFontSize": number;
                            "selectWidth": number;
                            "selectHeight": number;
                            "selectBorderRadius": number;
                            "highlightWidth": number;
                            "highlightHeight": number;
                            "highlightBorderRadius": number;
                        };
                    };
                };
            };
        };
        export { appearances_1 as appearances };
    }
}
