/**
 * @license
 * Copyright Akveo. All Rights Reserved.
 * Licensed under the MIT License. See License.txt in the project root for license information.
 */
import React from 'react';
import { TouchableOpacityProps } from 'react-native';
import { StyledComponentProps } from '../../theme';
import { CardHeaderElement } from './cardHeader.component';
declare type HeaderProp = React.ReactElement | CardHeaderElement;
declare type FooterProp = React.ReactElement;
export declare type CardFooterElement = FooterProp;
export interface CardProps extends StyledComponentProps, TouchableOpacityProps {
    appearance?: string;
    status?: string;
    children: React.ReactNode;
    header?: () => HeaderProp;
    footer?: () => FooterProp;
}
export declare type CardElement = React.ReactElement<CardProps>;
export declare const Card: import("../../theme").StyledComponentClass<CardProps>;
export {};
