import React from 'react';
import { View, } from 'react-native';
import { ListItem } from '../list/listItem.component';
/**
 * Styled `CardHeader` component can be used like `header` in the `Card` component.
 *
 * @extends React.Component
 *
 * @property {string} title - Determines the title of the ListItem.
 *
 * @property {string} description - Determines the description of the ListItem's title.
 *
 * @property {StyleProp<TextStyle>} titleStyle - Customizes title style.
 *
 * @property {StyleProp<TextStyle>} descriptionStyle - Customizes description style.
 *
 * @property {StyleProp<ViewStyle>} accentStyle - Determines style of the stripe element.
 *
 * @property {StyleProp<ViewStyle>} headerStyle - Determines style of the header container element.
 *
 * @property {ViewProps} ...ViewProps - Any props applied to View component.
 */
export class CardHeader extends React.Component {
    render() {
        const { accentStyle, style, headerStyle, ...restProps } = this.props;
        return (React.createElement(React.Fragment, null,
            React.createElement(View, { style: accentStyle }),
            React.createElement(ListItem
            // @ts-ignore
            , Object.assign({ 
                // @ts-ignore
                style: [style, headerStyle] }, restProps))));
    }
}
//# sourceMappingURL=cardHeader.component.js.map