import React from 'react';
import { ImageProps, ImageStyle, StyleProp, TouchableOpacityProps, ViewProps, ViewStyle } from 'react-native';
import { StyledComponentProps } from '../../theme';
import { BaseCalendarProps } from '../calendar/baseCalendar.component';
import { CalendarElement } from '../calendar/calendar.component';
import { RangeCalendarElement } from '../calendar/rangeCalendar.component';
export interface BaseDatepickerProps<D = Date> extends StyledComponentProps, TouchableOpacityProps, BaseCalendarProps<D> {
    controlStyle?: StyleProp<ViewStyle>;
    icon?: (style: ImageStyle) => React.ReactElement<ImageProps>;
    status?: string;
    size?: string;
    placeholder?: string;
}
interface State {
    visible: boolean;
}
export declare abstract class BaseDatepickerComponent<P, D = Date> extends React.Component<BaseDatepickerProps<D> & P, State> {
    static defaultProps: Partial<BaseDatepickerProps>;
    state: State;
    protected abstract getComponentTitle(): string;
    protected abstract renderCalendar(): CalendarElement<D> | RangeCalendarElement<D>;
    protected formatDateToString(date: D): string;
    private getComponentStyle;
    private onPress;
    private onPressIn;
    private onPressOut;
    private setVisibility;
    private dispatchActive;
    private renderIconElement;
    private renderTextElement;
    private renderControlChildren;
    private renderControlElement;
    private renderComponentChildren;
    render(): React.ReactElement<ViewProps>;
}
export {};
