/**
 * @license
 * Copyright Akveo. All Rights Reserved.
 * Licensed under the MIT License. See License.txt in the project root for license information.
 */
import React from 'react';
import { View, } from 'react-native';
import { styled, } from '../../theme';
/**
 * Styled `Divider` component. Behaves like React Native `View`.
 * The key feature of using `Divider` instead of `View` is that
 * it automatically picks color fitting to current theme.
 *
 * @property {ViewProps} ...ViewProps - Any props applied to View component.
 */
class DividerComponent extends React.Component {
    render() {
        const { style, themedStyle, ...restProps } = this.props;
        return (React.createElement(View, Object.assign({}, restProps, { style: [themedStyle, style] })));
    }
}
DividerComponent.styledComponentName = 'Divider';
export const Divider = styled(DividerComponent);
//# sourceMappingURL=divider.component.js.map