/**
 * @license
 * Copyright Akveo. All Rights Reserved.
 * Licensed under the MIT License. See License.txt in the project root for license information.
 */
import React from 'react';
import { StyleProp, ViewProps, ViewStyle } from 'react-native';
import { StyledComponentProps, StyleType } from '../../theme';
import { PopoverPlacement } from './type';
declare type AnimatedViewStyle = ViewStyle | any;
export interface PopoverViewProps extends ViewProps, StyledComponentProps {
    contentContainerStyle?: StyleProp<AnimatedViewStyle>;
    placement?: PopoverPlacement | string;
    indicator?: (style: StyleType) => React.ReactElement;
    children: React.ReactElement;
}
export declare type PopoverViewElement = React.ReactElement<PopoverViewProps>;
export declare const PopoverView: import("../../theme").StyledComponentClass<PopoverViewProps>;
export {};
