/**
 * @license
 * Copyright Akveo. All Rights Reserved.
 * Licensed under the MIT License. See License.txt in the project root for license information.
 */
import React from 'react';
import { GestureResponderEvent } from 'react-native';
import { ListProps } from '../list/list.component';
import { SelectOptionType } from './selectOption.component';
import { SelectOption as SelectOptionProp } from './select.component';
import { SelectionStrategy } from './selection.strategy';
export interface ComponentProps {
    data: SelectOptionType[];
    multiSelect?: boolean;
    strategy: SelectionStrategy<SelectOptionProp>;
    onSelect: (option: SelectOptionType, event?: GestureResponderEvent) => void;
}
export declare type SelectOptionsListProps = Partial<ListProps> & ComponentProps;
export declare type SelectOptionsListElement = React.ReactElement<SelectOptionsListProps>;
export declare class SelectOptionsList extends React.Component<SelectOptionsListProps> {
    private onSelect;
    private hasItems;
    private renderGroupItem;
    private renderSingleItem;
    private renderItem;
    render(): SelectOptionsListElement;
}
